/*
 * Copyright (C) 2002-2006 Michel Santos (michel@xspace.org)
 * Licensed under the Academic Free License version 3.0
 * Please see the LICENSE.txt for more information.
 *
 * Created on October 12, 2002, 9:26 PM
 */

package org.xspace.mx;

/**
 * An exception involving {@link Measurement}s.
 *
 * @author Michel Santos
 * @since 0.1
 */
public class MeasurementException extends java.lang.RuntimeException {
  
  /**
   * Creates a new instance of <code>MeasurementException</code> without detail message.
   */
  public MeasurementException() {
  }
  
  
  /**
   * Constructs an instance of <code>MeasurementException</code> with the specified detail message.
   * @param msg the detail message.
   */
  public MeasurementException(String msg) {
    super(msg);    
  }
  
  public MeasurementException(Throwable cause) {
    super(cause);
  }

  public MeasurementException(String msg, Throwable cause) {
    super(msg, cause);
  }
  
}
